Bug 1804594 - Heal pending on volume, even after all the bricks are up
Summary: Heal pending on volume, even after all the bricks are up
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: GlusterFS
Classification: Community
Component: replicate
Version: 6
Hardware: x86_64
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Ravishankar N
QA Contact:
URL:
Whiteboard:
Depends On: 1801624 1804591
Blocks: 1806846
TreeView+ depends on / blocked
 
Reported: 2020-02-19 08:50 UTC by Ravishankar N
Modified: 2020-06-02 06:00 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1804591
Environment:
Last Closed: 2020-02-28 06:06:40 UTC
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Gluster.org Gerrit 24137 0 None Abandoned afr: prevent spurious entry heals leading to gfid split-brain 2020-02-25 07:25:59 UTC
Gluster.org Gerrit 24172 0 None Merged afr: prevent spurious entry heals leading to gfid split-brain 2020-02-28 06:06:39 UTC

Description Ravishankar N 2020-02-19 08:50:53 UTC
+++ This bug was initially created as a clone of Bug #1804591 +++

+++ This bug was initially created as a clone of Bug #1801624 +++

+++ This bug was initially created as a clone of Bug #1792821 +++

ew on master by Ravishankar N

--- Additional comment from SATHEESARAN on 2020-02-11 14:58:47 UTC ---

Steps to reproduce:

1. Create replica 3 volume
2. Enable 'granular-entry-heal' on the volume
# gluster volume heal <vol> granular-entry-heal enable
3. Fuse mount the volume
4. Create a file 'f1' on the fuse mount
5. Kill one of the brick say 'b2'
6. Now remove the file 'f1' and create a new file 'f1'
7. Trigger heal, even before bringing up the down brick
# gluster volume heal <vol>
8. Bring the brick up
9. Check for heal info

--- Additional comment from Worker Ant on 2020-02-18 09:12:11 UTC ---

REVIEW: https://review.gluster.org/24109 (afr: prevent spurious entry heals leading to gfid split-brain) merged (#8) on master by Ravishankar N

--- Additional comment from Worker Ant on 2020-02-19 08:37:29 UTC ---

REVIEW: https://review.gluster.org/24136 (afr: prevent spurious entry heals leading to gfid split-brain) posted (#1) for review on release-7 by Ravishankar N

Comment 1 Worker Ant 2020-02-19 08:53:21 UTC
REVIEW: https://review.gluster.org/24137 (afr: prevent spurious entry heals leading to gfid split-brain) posted (#1) for review on release-6 by Ravishankar N

Comment 2 Worker Ant 2020-02-25 07:25:38 UTC
REVIEW: https://review.gluster.org/24172 (afr: prevent spurious entry heals leading to gfid split-brain) posted (#1) for review on release-6 by Ravishankar N

Comment 3 Worker Ant 2020-02-28 06:06:40 UTC
REVIEW: https://review.gluster.org/24172 (afr: prevent spurious entry heals leading to gfid split-brain) merged (#2) on release-6 by hari gowtham


Note You need to log in before you can comment on or make changes to this bug.